from aviary.utils.named_values import NamedValues

## Defaults ##
# commented out values were not in metadata at the time
gasp_default_values = NamedValues(
    {
        'INGASP.ALPHL0': (-1.2, 'deg'),
        'INGASP.ALTLND': (0, 'ft'),
        'INGASP.AR': (10, 'unitless'),
        'INGASP.ARHT': (4.75, 'unitless'),
        'INGASP.ARNGE(1)': (0, 'NM'),
        'INGASP.ARNGE(3)': (0, 'NM'),
        'INGASP.ARVT': (1.67, 'unitless'),
        'INGASP.AS': (1, 'unitless'),
        'INGASP.B': (117.8, 'ft'),  # needs verification
        'INGASP.BLEOB': (0.9, 'unitless'),
        'INGASP.BOELTV': (0, 'unitless'),
        'INGASP.BTEOB': (0.75, 'unitless'),
        'INGASP.CATD': (3, 'unitless'),
        'INGASP.CBARW': (12.615, 'ft'),  # needs verification
        'INGASP.CFOC': (0.3, 'unitless'),
        'INGASP.CK5': (1, 'unitless'),
        # 'INGASP.CK7': (1, 'unitless'),
        # 'INGASP.CK8': (1, 'unitless'),
        # 'INGASP.CK9': (1, 'unitless'),
        # 'INGASP.CK10': (1, 'unitless'),
        # 'INGASP.CK11': (1, 'unitless'),
        'INGASP.CK12': (1, 'unitless'),
        'INGASP.CK14': (1, 'unitless'),
        'INGASP.CK15': (1, 'unitless'),
        # 'INGASP.CK18': (1, 'unitless'),
        'INGASP.CK19': (1, 'unitless'),
        'INGASP.CK21': (1, 'unitless'),
        'INGASP.CKF': (1, 'unitless'),
        'INGASP.CKFF': (1, 'unitless'),
        'INGASP.CKHT': (1, 'unitless'),
        'INGASP.CKI': (0, 'unitless'),
        'INGASP.CKN': (1, 'unitless'),
        'INGASP.CKSTRT': (0, 'unitless'),
        'INGASP.CKVT': (1, 'unitless'),
        'INGASP.CKW': (1, 'unitless'),
        'INGASP.CLALPH': (7.1765, '1/rad'),  # needs verification
        'INGASP.CLEARqDN': (0.2, 'unitless'),
        'INGASP.CLEOC': (0, 'unitless'),
        'INGASP.COELTH': (0, 'unitless'),
        'INGASP.CRALT': (37500, 'ft'),
        'INGASP.CRMACH': (0.8, 'unitless'),
        'INGASP.CW(1)': (0, 'lbm'),
        'INGASP.CW(2)': (0.0862, 'unitless'),
        'INGASP.CW(3)': (0.1, 'unitless'),
        'INGASP.CW(4)': (0.16, 'unitless'),
        'INGASP.CW(5)': (0, 'lbm'),
        'INGASP.CW(6)': (1, 'unitless'),
        'INGASP.CW(7)': (0, 'lbm'),
        'INGASP.CW(8)': (0, 'lbm'),
        'INGASP.CW(9)': (2, 'lbm'),
        'INGASP.CW(10)': (1, 'lbm'),
        'INGASP.CW(11)': (0, 'lbm'),
        'INGASP.CW(12)': (0.7, 'lbm'),
        'INGASP.CW(13)': (6, 'unitless'),
        'INGASP.DCDOTE': (0, 'unitless'),
        'INGASP.DCLMLE': (0.93, 'unitless'),
        'INGASP.DCLMTE': (0, 'unitless'),
        'INGASP.DELCD': (0.0015, 'unitless'),
        'INGASP.DELCG': (0.25, 'unitless'),
        'INGASP.DELFE': (0.25, 'ft**2'),
        'INGASP.DELLED': (0, 'deg'),
        'INGASP.DELLEO': (45, 'deg'),
        'INGASP.DELP': (7.5, 'psi'),
        'INGASP.DELTEO': (55, 'deg'),
        'INGASP.DELTT': (0.1677, 'h'),
        'INGASP.DELWFC': (0, 'lbm'),
        'INGASP.DELWST': (0, 'lbm'),
        'INGASP.DFLPLD': (40, 'deg'),
        'INGASP.DFLPTO': (10, 'deg'),
        'INGASP.DIAM_REF': (5.8, 'ft'),
        'INGASP.DLMC4': (25, 'deg'),
        'INGASP.DNQDE': (1, 'unitless'),
        'INGASP.DV1': (5, 'kn'),
        'INGASP.DVR': (5, 'kn'),
        'INGASP.DWPQCH': (25, 'deg'),
        'INGASP.DWPQCV': (35, 'deg'),
        'INGASP.ELF': (0, 'ft'),  # needs verification
        'INGASP.ELODN': (2, 'unitless'),
        'INGASP.ELODT': (3.2, 'unitless'),
        'INGASP.ELPC': (4.44, 'ft'),
        'INGASP.ENP': (2, 'unitless'),
        'INGASP.EYEW': (1.5, 'deg'),
        'INGASP.FLAPN': (1, 'unitless'),
        'INGASP.FN_REF': (28690, 'lbf'),
        'INGASP.FPYL': (0.7, 'unitless'),
        'INGASP.FRESF': (4998, 'lbm'),
        'INGASP.FUELD': (6.687, 'lbm/galUS'),
        'INGASP.FVOL_MRG': (0, 'unitless'),
        'INGASP.HAPP': (50, 'ft'),
        'INGASP.HCK': (2.47, 'ft'),
        # 'INGASP.HPORT': (0, 'ft'),
        'INGASP.HTG': (3, 'ft'),
        'INGASP.HWING': (0, 'unitless'),
        'INGASP.IGEAR': (False, 'unitless'),
        'INGASP.IHWB': ('transport', 'unitless'),
        # 'INGASP.JENGSZ': (4, 'unitless'),
        'INGASP.JFLTYP': ('single_slotted', 'unitless'),
        'INGASP.NTYE': (7, 'unitless'),
        'INGASP.PAX': (180, 'unitless'),
        'INGASP.PS': (29, 'inch'),
        'INGASP.ROCTOC': (300, 'ft/min'),
        'INGASP.RCLMAX': (1, 'unitless'),
        'INGASP.RSMX': (1000, 'ft/min'),
        'INGASP.SAB': (6, 'unitless'),
        'INGASP.SAH': (0, 'unitless'),
        'INGASP.SCFAC': (0, 'unitless'),
        'INGASP.SF_FAC': (1, 'unitless'),
        'INGASP.SHT': (0, 'ft**2'),
        'INGASP.SINKTD': (3, 'ft/s'),
        'INGASP.SKB': (136, 'unitless'),
        'INGASP.SKCC': (11, 'unitless'),
        'INGASP.SKFS': (0.0195, 'unitless'),
        'INGASP.SKFW': (0.404, 'unitless'),
        'INGASP.SKLG': (0.0318, 'unitless'),
        'INGASP.SKMG': (0.8, 'unitless'),
        'INGASP.SKPEI': (0.135, 'unitless'),
        'INGASP.SKSAS': (0, 'lbm'),
        'INGASP.SKSTRUT': (0, 'unitless'),
        'INGASP.SKTL': (1, 'unitless'),
        'INGASP.SKWF': (0.43, 'unitless'),
        'INGASP.SKWFOLD': (0, 'unitless'),
        'INGASP.SKWW': (133.4, 'unitless'),
        'INGASP.SKY': (0.18, 'unitless'),
        'INGASP.SKZ': (0.22, 'unitless'),
        'INGASP.SLM': (0.33, 'unitless'),
        'INGASP.SLMH': (0.352, 'unitless'),
        'INGASP.SLMV': (0.801, 'unitless'),
        'INGASP.SSTQSW': (0, 'unitless'),
        'INGASP.STATIC': (0.05, 'unitless'),
        'INGASP.STRUT': (0, 'ft'),
        'INGASP.SVT': (0, 'ft**2'),
        'INGASP.SWSLS': (0, 'lbm/lbf'),
        'INGASP.TCHT': (0.12, 'unitless'),
        'INGASP.TCR': (0.15, 'unitless'),
        'INGASP.TCT': (0.12, 'unitless'),
        'INGASP.TCVT': (0.12, 'unitless'),
        'INGASP.TDELAY': (1, 's'),
        'INGASP.THIN': (0, 'lbf'),
        'INGASP.UWNAC': (3, 'lbm/ft**2'),
        'INGASP.UWPAX': (200, 'lbm'),
        'INGASP.VBARHX': (0, 'unitless'),
        'INGASP.VBARVX': (0, 'unitless'),
        'INGASP.VMLFSL': (402.5, 'mi/h'),
        'INGASP.VRATT': (1.3, 'unitless'),
        'INGASP.WAS': (24, 'inch'),
        'INGASP.WCARGO': (0, 'lbm'),
        'INGASP.WCFLAP': (0, 'unitless'),
        'INGASP.WG': (150000, 'lbm'),
        'INGASP.WGS': (1, 'lbf/ft**2'),
        'INGASP.WS': (20.2, 'inch'),
        'INGASP.XCPS': (0.3, 'unitless'),
        'INGASP.XCTCMX': (0.35, 'unitless'),
        'INGASP.XLFMX': (1.2, 'unitless'),
        'INGASP.XLQDE': (3.5, 'unitless'),
        'INGASP.XWQLF': (0.4, 'unitless'),
        'INGASP.YMG': (0.15, 'unitless'),
        'INGASP.YP': (0.35, 'unitless'),
        'INGASP.YWFOLD': (0, 'ft'),
    }
)

## Depreciated Variables ##
gasp_deprecated_vars = []
